Update mkalldocs.sh from the current master sources, replacing the old
mkdoc.sh.
Reviewed-on: https://go-review.googlesource.com/111096
From-SVN: r259920
-12325f36d965e2ac3a4cbf787472ce24923327da
+30e2033a91fc08be9351d26737599a1fa6486017
The first line of this file holds the git revision number of the last
merge done from the gofrontend repository.
--- /dev/null
+#!/bin/bash
+# Copyright 2012 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+
+go build -o go.latest
+./go.latest help documentation >alldocs.go
+gofmt -w alldocs.go
+rm go.latest
+++ /dev/null
-#!/bin/sh
-# Copyright 2012 The Go Authors. All rights reserved.
-# Use of this source code is governed by a BSD-style
-# license that can be found in the LICENSE file.
-
-go install # So the next line will produce updated documentation.
-go help documentation > doc.go
-gofmt -w doc.go
-